LibreOffice LibreOffice 5.3 SDK API Reference

Variables
com::sun::star::sheet::DataPilotTablePositionType Constant Group Reference

specifies in which sub-area a cell is positioned within a DataPilot table. More...

## Variables
const long | NOT_IN_TABLE = 0
| indicates that the specified cell is not in the DataPilot table. More...
const long | RESULT = 1
| indicates that the specified cell is within the result area. More...
const long | ROW_HEADER = 2
| indicates that the specified cell is within the row header area. More...
const long | COLUMN_HEADER = 3
| indicates that the specified cell is within the column header area. More...
const long | OTHER = 4
| indicates that the specified cell is within the table but in areas other than the result or header areas. More...

## Detailed Description

specifies in which sub-area a cell is positioned within a DataPilot table.

See also
  com::sun::star::sheet::DataPilotTablePositionData
  com::sun::star::sheet::DataPilotTableResultData
  com::sun::star::sheet::DataPilotTableHeaderData

Since
  OOo 3.0

## Variable Documentation

## ◆ COLUMN_HEADER

const long COLUMN_HEADER = 3

indicates that the specified cell is within the column header area.

## ◆ NOT_IN_TABLE

const long NOT_IN_TABLE = 0

indicates that the specified cell is not in the DataPilot table.

## ◆ OTHER

const long OTHER = 4

indicates that the specified cell is within the table but in areas other than the result or header areas.

## ◆ RESULT

const long RESULT = 1

indicates that the specified cell is within the result area.

## ◆ ROW_HEADER

const long ROW_HEADER = 2

indicates that the specified cell is within the row header area.